Name:		ume-launcher
Version:	0.6.3
Release:	1%{?dist}
Summary:	A clutter-based desktop launcher

Group:		User Interface/Desktops
License:	GPLv3
URL:		https://launchpad.net/netbook-remix
Source0:	https://edge.launchpad.net/%7Enetbook-remix-team/+archive/+files/ume-launcher_%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	clutter-devel
BuildRequires: 	gtk2-devel
BuildRequires:	GConf2-devel
BuildRequires: 	gnome-menus-devel
BuildRequires:  desktop-file-utils
BuildRequires: 	intltool => 0.34
BuildRequires:  gnome-desktop-devel
BuildRequires:  libwnck-devel
BuildRequires:  startup-notification-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
#Requires:	

%description

UME Launcher is a full desktop app that sits on top of the gnome desktop.
It is a convenient tool for launching applications and providing easy access
to the desktop for alternative and subnotebook computing devices.

It relies on "teh shiny buttons" to provide this critical service.

%prep
%setup -q -n ume-launcher


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/ume-launcher.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_sysconfdir}/xdg/autostart/ume-launcher.desktop
%{_bindir}/ume-launcher
%{_datadir}/desktop-directories/Favorites.directory
%{_datadir}/ume-launcher/*
%doc COPYING

%changelog
* Thu Oct 02 2008 Jonathan Roberts <jonrob@fedoraproject.org> 0.6.3-1
- Updated spec file to fix comments from review, and updated to latest upstream
* Thu Sep 18 2008 Jonathan Roberts <jonrob@fedoraproject.org> 0.5.18-1
- Created initial spec file

